# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Test2/V0.pm) perl(_h2ph_pre.ph) perl(constant.pm) perl(strict.pm) perl(sys/syscall.ph) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Sys-GetRandom-PP
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: pure Perl interface to getrandom(2)
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MAUKE/%{module_name}-%{version}.tar.gz

%description
This module provides a Perl interface to the the getrandom(2) manpage call present on
Linux and FreeBSD. It exports (on request) two functions and two constants.

It is written in pure Perl using the syscall
function. Otherwise it presents the same interface as the Sys::GetRandom manpage, which
is written in C.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/S*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.05-alt1
- initial import by package builder

